Skip to main content

Search this Site

DartPulse Alerts

"HeartBleed" Website Security

Java Upgrade

Windows XP Alert

 

DartPulse Outages

Overall System Status:

Upcoming Scheduled Outages

New to Dartmouth?

Resources for:

Information Security

Connect with Computing

facebook twitter Wordpress Blog

Supported Software

Information Technology Services consulting staff are prepared to assist any Dartmouth student, faculty, or staff member with any of the software listed below. We have experience with and resources available to provide support.

You may choose to use applications not found on this list. In fact, many other items are available for purchase through The Computer Store or are available for download from the Software Downloads page (which is a subset of what is available here and supported by Information Technology Services). Other groups on campus may provide support for these applications or for other operating systems.

If the operating system or software you are using or planning to purchase does not appear on this list, please contact the IT Service Desk (Help Desk) at 603-646-2999, send email to help@dartmouth.edu or call your department's IT support office. They may be able to offer alternatives or refer you to a more appropriate group or outside resource for support.

Note: Due to limited resources, we generally do not provide support for software older than four years, not on the list below, or for non-English versions of operating system installations. We also do not support software no longer supported by the manufacturer or pre-released (alpha or beta) versions of any computer software.

Supported Software

See specific details about the Dartmouth and Microsoft Campus Agreement.

Supported Operating Systems (OS)

Desktop Applications

Note: Information Technology Services recommends keeping applications up-to-date, including applying available software updates. Many applications have an automatic mechanism when you run a particular application; you may also connect directly to the vendors website. If you have questions, please contact the IT Service Desk at 603-646-2999, send email to help@dartmouth.edu or call your department's IT support office.

  • Adobe Acrobat Reader version X and higher
  • Aladdin eToken Runtime Environment version 5.0 or higher for the Macintosh and version 5.1 and higher for Windows
  • Fetch version 5.x or higher
  • FileMaker (versions 5.5v2 and higher)
  • GreenPrint version 8.0 and higher for Windows and Macintosh
  • Internet Explorer version 8 and higher for Windows
  • JellyfiSSH version 4.5.2 and higher
  • Juniper VPN version 7.2 and higher
  • KeyAccess version 6.2 and higher for Windows and version 6.2 and higher for the Macintosh
  • Microsoft Office 2013, 2011, 2010, 2008 and higher (only Word, PowerPoint, Outlook and Excel; MS Office 32-bit version required for use with the Web ADI tool.)
  • Mozilla Firefox version 3.x and higher
  • Mozilla Thunderbird version 3.0 and higher
  • Parallels version 4 and higher
  • Safari version 5 and higher
  • SecureCRT version 6.5 and higher
  • SSH Secure Shell version 3.2.9 and higher
  • Symantec AntiVirus (Corporate Edition) - Macintosh version 10.2 and higher
  • Symantec EndPoint Protection version 11.x and higher for Windows
  • VMWare Fusion version 2 and higher

Personal Information Manager OS Applications

For more information related to this topic, see:

Last Updated: 3/25/14